#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBB,0x62,0x61,0x32,0xF9,0x61,0x76,0x36,0x2C,0x48,0xF2,0x51,
		0x68,0x03,0x31,0x18,0x3B,0x32,0xDA,0x1A,0x2C,0xC2,0x2E,0x5E,
		0x25,0x58,0xAE,0x99,0xBB,0x7C,0x0D,0x54,0x23,0x17,0x90,0x09,
		0xF6,0x9D,0xE8,0x33,0xBB,0x7B,0x4C,0xCC,0xA3,0x51,0x22,0x51,
		0x74,0xE6,0x10,0xC8,0xEC,0x54,0xEA,0xDA,0x55,0x24,0xC0,0xE2,
		0x73,0xD8,0xEF,0x3B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
